from ..interfaces import FightingEntity


class Player(FightingEntity):
    maxhealth = 20
    strength = 5

    def move_up(self) -> bool:
        return self.check_move(self.y - 1, self.x, True)

    def move_down(self) -> bool:
        return self.check_move(self.y + 1, self.x, True)

    def move_left(self) -> bool:
        return self.check_move(self.y, self.x - 1, True)

    def move_right(self) -> bool:
        return self.check_move(self.y, self.x + 1, True)
