#!/usr/bin/env python
from dungeonbattle.game import Game
from dungeonbattle.term_manager import TermManager

if __name__ == "__main__":
    with TermManager() as term_manager:
        game = Game()
        game.init()
        game.new_game()
        game.run(term_manager.screen)
